Debian Bug report logs - #662983
When called by aptitude, apt-listbugs crash and precludes the package upgrade

version graph

Package: apt-listbugs; Maintainer for apt-listbugs is Francesco Poli (wintermute) <invernomuto@paranoici.org>; Source for apt-listbugs is src:apt-listbugs.

Reported by: Nicolas DEGAND <nicolas@degand.net>

Date: Wed, 7 Mar 2012 19:21:02 UTC

Severity: important

Merged with 664999

Found in version apt-listbugs/0.1.6

Fixed in version apt-listbugs/0.1.7

Done: Francesco Poli (wintermute) <invernomuto@paranoici.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 07 Mar 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas DEGAND <nicolas@degand.net>:
New Bug report received and forwarded. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 07 Mar 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas DEGAND <nicolas@degand.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 07 Mar 2012 20:17:19 +0100
Package: apt-listbugs
Version: 0.1.6
Severity: important

I try to upgrade packages with aptitude. When it calls apt-listbugs, it crashes with the following messages:

Are you sure you want to install/upgrade the above packages? [Y/n/?/...] /usr/lib/ruby/1.8/open-uri.rb:32:in `initialize': No such device or address - /dev/tty (Errno::ENXIO)
        from /usr/lib/ruby/1.8/open-uri.rb:32:in `open_uri_original_open'
        from /usr/lib/ruby/1.8/open-uri.rb:32:in `open'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1053:in `tty'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1060:in `ask'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:350:in `view'
        from /usr/sbin/apt-listbugs:415
E: Le sous-processus /usr/sbin/apt-listbugs apt || exit 10 a renvoyé un code d'erreur (10)
E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

Note that I am unable to answer to the question of the first line. Everything is outputted in one wave.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt-listbugs depends on:
ii  apt                            0.8.15.9
ii  libdpkg-ruby1.8                0.3.8
ii  libgettext-ruby1.8             2.1.0-2.1
ii  libruby1.8 [libzlib-ruby1.8]   1.8.7.352-2
ii  ruby-debian [libdpkg-ruby1.8]  0.3.8
ii  ruby-httpclient                2.2.1-1
ii  ruby-xmlparser                 0.7.2-1
ii  ruby1.8                        1.8.7.352-2

apt-listbugs recommends no packages.

Versions of packages apt-listbugs suggests:
ii  debianutils              4.2.1
ii  iceweasel [www-browser]  10.0.2-1
ii  konqueror [www-browser]  4:4.6.5-1
ii  rekonq [www-browser]     0.7.0-1
ii  reportbug                6.3.1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 07 Mar 2012 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 07 Mar 2012 20:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Nicolas DEGAND <nicolas@degand.net>, 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 7 Mar 2012 21:11:43 +0100
[Message part 1 (text/plain, inline)]
On Wed, 07 Mar 2012 20:17:19 +0100 Nicolas DEGAND wrote:

> Package: apt-listbugs
> Version: 0.1.6
> Severity: important

Hi Nicolas,
thanks for your bug report!

> 
> I try to upgrade packages with aptitude. When it calls apt-listbugs, it crashes with the following messages:
> 
> Are you sure you want to install/upgrade the above packages? [Y/n/?/...] /usr/lib/ruby/1.8/open-uri.rb:32:in `initialize': No such device or address - /dev/tty (Errno::ENXIO)
>         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open_uri_original_open'
>         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open'
>         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1053:in `tty'
>         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1060:in `ask'
>         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:350:in `view'
>         from /usr/sbin/apt-listbugs:415
> E: Le sous-processus /usr/sbin/apt-listbugs apt || exit 10 a renvoyé un code d'erreur (10)
> E: Failure running script /usr/sbin/apt-listbugs apt || exit 10
> 
> Note that I am unable to answer to the question of the first line. Everything is outputted in one wave.

How are you invoking aptitude?
Inside an su -c command as in

  su -c "aptitude safe-upgrade"

by chance?


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 07 Mar 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas DEGAND <nicolas@degand.net>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 07 Mar 2012 21:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 662983@bugs.debian.org (full text, mbox):

From: Nicolas DEGAND <nicolas@degand.net>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 7 Mar 2012 22:31:18 +0100
Using the aptitude ncurses interface (invoking "aptitude") with my usual 
account. I type the root password when asked by aptitude. 

However, I tried lated to upgrade my packages and I did not have any messages 
by apt-listbugs, probably because the only bug that was found earlier was 
closed ( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=662787 which has 
been closed recently). Guess it will creep back when another bug turns up.

-- 
Nicolas DEGAND




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 07 Mar 2012 23:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 07 Mar 2012 23:03:16 GMT) Full text and rfc822 format available.

Message #20 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: aptitude-devel@lists.alioth.debian.org
Cc: Nicolas DEGAND <nicolas@degand.net>, 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Thu, 8 Mar 2012 00:01:29 +0100
[Message part 1 (text/plain, inline)]
On Wed, 7 Mar 2012 22:31:18 +0100 Nicolas DEGAND wrote:

> On Wed, 7 Mar 2012 21:11:43 +0100 Francesco Poli wrote:
> 
> > On Wed, 07 Mar 2012 20:17:19 +0100 Nicolas DEGAND wrote:
> > 
> > > Package: apt-listbugs
> > > Version: 0.1.6
> > > Severity: important
> > 
> > Hi Nicolas,
> > thanks for your bug report!
> > 
> > > 
> > > I try to upgrade packages with aptitude. When it calls apt-listbugs, it crashes with the following messages:
> > > 
> > > Are you sure you want to install/upgrade the above packages? [Y/n/?/...] /usr/lib/ruby/1.8/open-uri.rb:32:in `initialize': No such device or address - /dev/tty (Errno::ENXIO)
> > >         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open_uri_original_open'
> > >         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open'
> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1053:in `tty'
> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1060:in `ask'
> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:350:in `view'
> > >         from /usr/sbin/apt-listbugs:415
> > > E: Le sous-processus /usr/sbin/apt-listbugs apt || exit 10 a renvoyé un code d'erreur (10)
> > > E: Failure running script /usr/sbin/apt-listbugs apt || exit 10
> > > 
> > > Note that I am unable to answer to the question of the first line. Everything is outputted in one wave.
> > 
> > How are you invoking aptitude?
> > Inside an su -c command as in
> > 
> >   su -c "aptitude safe-upgrade"
> > 
> > by chance?
>
> Using the aptitude ncurses interface (invoking "aptitude") with my usual 
> account. I type the root password when asked by aptitude. 

Hello Aptitude Development Team, could you please take a look at bug
#662983 ?

I am suspecting that the issue is due to aptitude invoking commands
(that need to be run as root) with an "su -c command".
Do I understand correctly that this is what is done by  src/ui.cc:499
of current git master HEAD (commit c3b706f3c921585c70d2fc15d75f0713762efae3)?

  execl(root_program.c_str(), root_program.c_str(), "-c", cmdbuf.str
().c_str(), NULL);

If this is confirmed, then I am under the impression that this strategy
causes problems, due to a recently applied security fix for binary
package login: see bug #628843 where CVE-2005-4890 is fixed by removing
from the child process of "su -c command" the ability to open "/dev/tty"
as explained in message #20.
This seems to be confirmed by su man page, which says:

 -c, --command COMMAND
     Specify a command that will be invoked by the shell using its -c.

     The executed command will have no controlling terminal. This option
     cannot be used to execute interractive programs which need a
     controlling TTY.

Well, apt-listbugs needs a controlling TTY for interactive use...

What could be done to make aptitude's ncurses interface and
apt-listbugs work better together?

 (A) Should apt-listbugs try harder to detect whether a controlling TTY
is available and switch to a non-interactive failure mode, in case no
controlling TTY may be used?

 (B) Could aptitude's ncurses interface behave differently to adapt to
the security fix for CVE-2005-4890? Should I reassign this bug report
(#662983) to aptitude?

Maybe both (A) and (B)?

I would greatly appreciate your advice and help.
Thanks for your time!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Thu, 08 Mar 2012 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 08 Mar 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 662983@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: aptitude-devel@lists.alioth.debian.org
Cc: Francesco Poli <invernomuto@paranoici.org>, 662983@bugs.debian.org, Nicolas DEGAND <nicolas@degand.net>
Subject: Re: [Aptitude-devel] Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Thu, 8 Mar 2012 10:49:05 +0800
On 8 March 2012 07:01, Francesco Poli <invernomuto@paranoici.org> wrote:
> On Wed, 7 Mar 2012 22:31:18 +0100 Nicolas DEGAND wrote:
>
>> On Wed, 7 Mar 2012 21:11:43 +0100 Francesco Poli wrote:
>>
>> > On Wed, 07 Mar 2012 20:17:19 +0100 Nicolas DEGAND wrote:
>> >
>> > > I try to upgrade packages with aptitude. When it calls apt-listbugs, it crashes with the following messages:
>> > >
>> > > Are you sure you want to install/upgrade the above packages? [Y/n/?/...] /usr/lib/ruby/1.8/open-uri.rb:32:in `initialize': No such device or address - /dev/tty (Errno::ENXIO)
>> > >         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open_uri_original_open'
>> > >         from /usr/lib/ruby/1.8/open-uri.rb:32:in `open'
>> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1053:in `tty'
>> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1060:in `ask'
>> > >         from /usr/share/apt-listbugs/apt-listbugs/logic.rb:350:in `view'
>> > >         from /usr/sbin/apt-listbugs:415

> I am suspecting that the issue is due to aptitude invoking commands
> (that need to be run as root) with an "su -c command".
> Do I understand correctly that this is what is done by  src/ui.cc:499
> of current git master HEAD (commit c3b706f3c921585c70d2fc15d75f0713762efae3)?
>

Yes.

> ...
> Well, apt-listbugs needs a controlling TTY for interactive use...
>

Is this interactive use limited to reading the response to a [Yn] prompt?

Other programs have no problem with such a prompt when run via "su -c".

> What could be done to make aptitude's ncurses interface and
> apt-listbugs work better together?
>
>  (A) Should apt-listbugs try harder to detect whether a controlling TTY
> is available and switch to a non-interactive failure mode, in case no
> controlling TTY may be used?
>

Apt-listbugs could try harder to avoid directly reading from /dev/tty

-- /usr/share/apt-listbugs/apt-listbugs/logic.rb:1052
  def tty
    @tty ||= open("/dev/tty")
  end

  def ask(msg)
    $stdout.print "#{msg} "
    $stdout.flush
    line = nil
    line = self.tty.gets
    if line != nil
      line.chomp!
    end
    return line
  end
--


>  (B) Could aptitude's ncurses interface behave differently to adapt to
> the security fix for CVE-2005-4890?

I doubt it.


It seems that apt-listbugs directly accesses /dev/tty many other
places in the code also.  Now correct me if I'm wrong, but a quick
look suggests most (all?) of those uses are unnecessary.


Regards




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Thu, 08 Mar 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 08 Mar 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 662983@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: aptitude-devel@lists.alioth.debian.org
Cc: Francesco Poli <invernomuto@paranoici.org>, 662983@bugs.debian.org, Nicolas DEGAND <nicolas@degand.net>
Subject: Re: [Aptitude-devel] Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Thu, 8 Mar 2012 10:50:44 +0800
On 8 March 2012 10:49, Daniel Hartwig <mandyke@gmail.com> wrote:
>
> Apt-listbugs could try harder to avoid directly reading from /dev/tty
>

Of course, here I am refering to reading from stdin instead.




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Thu, 08 Mar 2012 08:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 08 Mar 2012 08:03:15 GMT) Full text and rfc822 format available.

Message #35 received at 662983@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: Daniel Hartwig <mandyke@gmail.com>
Cc: aptitude-devel@lists.alioth.debian.org, 662983@bugs.debian.org, Francesco Poli <invernomuto@paranoici.org>, Nicolas DEGAND <nicolas@degand.net>
Subject: Re: [Aptitude-devel] Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Thu, 8 Mar 2012 13:31:03 +0530
Just a quick question to everyone what is this gtk front-end .

 I have this file in /etc/apt/listchanges.conf
[apt]
frontend=gtk
email_address=root
confirm=1
save_seen=/var/lib/apt/listchanges.db
which=both

I believe I asked before and could not get an answer. I know that gtk
means Gnome toolkit

http://en.wikipedia.org/wiki/Gtk

I also saw this in the man-page of apt-listchanges :-

gtk       Spawns a gtk window to display the changelogs. Needs
python-glade2,  python-gtk2  to  be installed.

I am not a programmer but would like to see if this gtk window or
whatever it is called could have some horizontal and vertical sizes
that could be fixed by the user each time the output is called, can
this be done ?

If yes, maybe somebody could tell/share if there is a way to refine it
within the listchanges.conf file .

Sorry for the noise.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Thu, 08 Mar 2012 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 08 Mar 2012 18:03:04 GMT) Full text and rfc822 format available.

Message #40 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: aptitude-devel@lists.alioth.debian.org
Cc: 662983@bugs.debian.org, Nicolas DEGAND <nicolas@degand.net>
Subject: Re: Bug#662983: [Aptitude-devel] Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Thu, 8 Mar 2012 18:59:14 +0100
[Message part 1 (text/plain, inline)]
On Thu, 8 Mar 2012 10:50:44 +0800 Daniel Hartwig wrote:

> On 8 March 2012 10:49, Daniel Hartwig <mandyke@gmail.com> wrote:
> >
> > Apt-listbugs could try harder to avoid directly reading from /dev/tty
> >
> 
> Of course, here I am refering to reading from stdin instead.

I wonder whether this is at all possible...

I am not 100 % sure, since I was not involved in apt-listbugs
development at the time when these parts of the code were initially
laid out, but I think that one of the main reasons why apt-listbugs
needs to explicitly open "/dev/tty" is that it needs to perform the
following steps (when run in "apt" mode):

  * first it reads the input provided by apt-get or aptitude or other
compatible package manager through the Pre-Install-Pkgs hook info
protocol version 2 (see /etc/apt/apt.conf.d/10apt-listbugs , I am sure
the Aptitude Development Team members are more knowledgeable than me
about this protocol); this input is provided to apt-listbugs on its
STDIN, as through a pipe

  * when this input ends (EOF), apt-listbugs needs to be able to become
interactive and ask questions to the user, and get answers from STDIN,
and possibly also run a web browser (that could be a textual browser,
depending on the user preferences) and let the user interact with the
browser, until it exits and comes back to the apt-listbugs interactive
prompt

Currently, apt-listbugs does all this by opening "/dev/tty", after the
input provided by apt(itude) ends.
I don't know whether there's a better way to achieve this result,
without being limited by the security fix for CVE-2005-4890...


Any idea?
I haven't found much documentation about these tricks in Ruby...  :-(


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Fri, 09 Mar 2012 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Fri, 09 Mar 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 662983@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Francesco Poli <invernomuto@paranoici.org>, apt-maintainers <deity@lists.debian.org>
Cc: aptitude-devel@lists.alioth.debian.org, 662983@bugs.debian.org, Nicolas DEGAND <nicolas@degand.net>
Subject: Pre-Install-Pkgs breaks interactive programs (was: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade)
Date: Fri, 9 Mar 2012 10:47:44 +0800
[added deity@ as it concerns APT protocols]

On 9 March 2012 01:59, Francesco Poli <invernomuto@paranoici.org> wrote:
> On Thu, 8 Mar 2012 10:50:44 +0800 Daniel Hartwig wrote:
>
>> On 8 March 2012 10:49, Daniel Hartwig <mandyke@gmail.com> wrote:
>> >
>> > Apt-listbugs could try harder to avoid directly reading from /dev/tty
>> >
>>
>> Of course, here I am refering to reading from stdin instead.
>
> I wonder whether this is at all possible...
>
> I am not 100 % sure, since I was not involved in apt-listbugs
> development at the time when these parts of the code were initially
> laid out, but I think that one of the main reasons why apt-listbugs
> needs to explicitly open "/dev/tty" is that it needs to perform the
> following steps (when run in "apt" mode):
>
>  * first it reads the input provided by apt-get or aptitude or other
> compatible package manager through the Pre-Install-Pkgs hook info
> protocol version 2 (see /etc/apt/apt.conf.d/10apt-listbugs , I am sure
> the Aptitude Development Team members are more knowledgeable than me
> about this protocol); this input is provided to apt-listbugs on its
> STDIN, as through a pipe
>
>  * when this input ends (EOF), apt-listbugs needs to be able to become
> interactive and ask questions to the user, and get answers from STDIN,
> and possibly also run a web browser (that could be a textual browser,
> depending on the user preferences) and let the user interact with the
> browser, until it exits and comes back to the apt-listbugs interactive
> prompt
>
> Currently, apt-listbugs does all this by opening "/dev/tty", after the
> input provided by apt(itude) ends.
> I don't know whether there's a better way to achieve this result,
> without being limited by the security fix for CVE-2005-4890...
>
>
> Any idea?
> I haven't found much documentation about these tricks in Ruby...  :-(
>

Ok.  That all makes sense to me.  I had not taken a detailed look as
the use of /dev/tty immediately struck me as being out of place.

AFAIK apt-listbugs is the only program which attempts to be
interactive on this hook.

APT team:

[Programs run via 'su' do not have access to /dev/tty.]

It appears that the Pre-Install-Pkgs hook [1] does not consider the
needs of interactive programs to have access to stdin from the user.

Is this an intentional choice?  Interactive programs are not advised
for this hook?

If not, could the protocol be updated to send the package list on a new
FD rather than stdin?


Regards

[1] apt/apt-pkg/dpkg/dpkgpm.cc:274




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Thu, 15 Mar 2012 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to bobrweber@gmail.com:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 15 Mar 2012 21:57:09 GMT) Full text and rfc822 format available.

Message #50 received at 662983@bugs.debian.org (full text, mbox):

From: Bob Weber <bobrweber@gmail.com>
To: 662983@bugs.debian.org
Subject: When called by wajig/apt apt-listbugs crash and precludes the package upgrade
Date: Thu, 15 Mar 2012 17:54:16 -0400
[Message part 1 (text/plain, inline)]
I also see this same error.  However, I login as root and then execute wajig in 
interactive mode.  I use the update command followed by distupgrade.  I'm not 
sure if there are any "su -c" commands run since I am already root.  If there 
are any bugs to be reported by apt-listbugs I get the following errors:


/usr/lib/ruby/1.8/open-uri.rb:32:in `initialize': No such device or address - 
/dev/tty (Errno::ENXIO)
        from /usr/lib/ruby/1.8/open-uri.rb:32:in `open_uri_original_open'
        from /usr/lib/ruby/1.8/open-uri.rb:32:in `open'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1053:in `tty'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:1060:in `ask'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:350:in `view'
        from /usr/sbin/apt-listbugs:415
E: Sub-process /usr/sbin/apt-listbugs apt || exit 10 returned an error code (10)
E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

I usually get around this by putting the offending package on hold or just 
uninstall apt-listbugs.  I am running debian/testing.

policy apt-listbugs
apt-listbugs:
  Installed: 0.1.6
  Candidate: 0.1.6
  Version table:
 *** 0.1.6 0
        500 http://http.us.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status



-- 


*...Bob*
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Fri, 16 Mar 2012 21:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Fri, 16 Mar 2012 21:30:11 GMT) Full text and rfc822 format available.

Message #55 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: bobrweber@gmail.com, 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by wajig/apt apt-listbugs crash and precludes the package upgrade
Date: Fri, 16 Mar 2012 22:29:05 +0100
[Message part 1 (text/plain, inline)]
On Thu, 15 Mar 2012 17:54:16 -0400 Bob Weber wrote:

> I also see this same error.  However, I login as root and then execute wajig in 
> interactive mode.  I use the update command followed by distupgrade.  I'm not 
> sure if there are any "su -c" commands run since I am already root.

By taking a look at wajig source, I see that it indeed uses "su -c" to
execute commands that require root privileges (it may instead use sudo,
if some conditions are satisfied).
However, it should refrain from using "su -c", when the user is already
root, but... looking closer... maybe you've found a bug in wajig: it
seems to me that it uses "su -c", even when the user is root.

I am filing a bug report against wajig, and sending a patch...

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Sun, 18 Mar 2012 10:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Sun, 18 Mar 2012 10:24:16 GMT) Full text and rfc822 format available.

Message #60 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: bobrweber@gmail.com
Cc: 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by wajig/apt apt-listbugs crash and precludes the package upgrade
Date: Sun, 18 Mar 2012 11:18:52 +0100
[Message part 1 (text/plain, inline)]
On Fri, 16 Mar 2012 22:29:05 +0100 Francesco Poli wrote:

[...]
> I am filing a bug report against wajig, and sending a patch...

Hello Bob,
for your information, the bug in wajig is going to be fixed in the next
upload of that package: see
http://bugs.debian.org/664231
for more details.

Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Merged 662983 664999 Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Thu, 22 Mar 2012 17:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Sun, 25 Mar 2012 23:21:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Sun, 25 Mar 2012 23:21:28 GMT) Full text and rfc822 format available.

Message #67 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Nicolas DEGAND <nicolas@degand.net>, Bob Weber <bobrweber@gmail.com>, Vincent Lefevre <vincent@vinc17.net>
Cc: 662983@bugs.debian.org, 664999@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Mon, 26 Mar 2012 00:28:24 +0200
[Message part 1 (text/plain, inline)]
On Wed, 7 Mar 2012 22:31:18 +0100 Nicolas DEGAND wrote:

> Using the aptitude ncurses interface (invoking "aptitude") with my usual 
> account. I type the root password when asked by aptitude. 
[...]

Dear users,
since a radical fix for this bug is taking longer than I was hoping,
I would like to summarize how the issue may be worked around for the
time being.

This bug is triggered whenever apt-listbugs is (directly or indirectly)
invoked inside an  su -c "command" .

Hence, if you want to avoid being hit by this bug, please do *not*
invoke apt-listbugs (or the package manager that will invoke
apt-listbugs) through the  su -c "command"  mechanism. 

Also, please note that some package managers (such as aptitude, wajig,
and possibly other ones), when run as a regular user, tend to gain root
privileges through the  su -c "command"  mechanism, for the actions that
need these privileges.
Hence, if you want to avoid being hit by this bug, please become root
*before* invoking the package manager, as in:

  $ su -
  Password:
  # aptitude

rather than:

  $ aptitude


I hope this may help, while waiting for the real fix.
Bye.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Tue, 24 Apr 2012 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tv.debian@googlemail.com" <tv.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Tue, 24 Apr 2012 19:15:02 GMT) Full text and rfc822 format available.

Message #72 received at 662983@bugs.debian.org (full text, mbox):

From: "tv.debian@googlemail.com" <tv.debian@googlemail.com>
To: 662983@bugs.debian.org
Subject: re: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Tue, 24 Apr 2012 21:12:45 +0200
Hi, I get this same error calling aptitude with "sudo", and more 
surprisingly maybe when calling apt-get with sudo too. Following is the 
output of the command, the locale is French but you'll get the idea:

sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants seront ENLEVÉS :
  apt-listbugs libgettext-ruby1.8 liblocale-ruby1.8
0 mis à jour, 0 nouvellement installés, 3 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 4 216 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ?
/usr/lib/ruby/vendor_ruby/locale.rb:239:in `collect_candidates': 
undefined method `size' for nil:NilClass (NoMethodError)
        from /usr/lib/ruby/vendor_ruby/locale.rb:222:in `candidates'
        from 
/usr/lib/ruby/1.8/gettext/runtime/textdomain_manager.rb:78:in 
`each_textdomains'
        from 
/usr/lib/ruby/1.8/gettext/runtime/textdomain_manager.rb:102:in 
`translate_singluar_message'
        from /usr/lib/ruby/1.8/gettext.rb:128:in `_'
        from /usr/share/apt-listbugs/apt-listbugs/logic.rb:324
        from /usr/sbin/apt-listbugs:258:in `require'
        from /usr/sbin/apt-listbugs:258
E: Le sous-processus /usr/sbin/apt-listbugs apt || exit 10 a renvoyé un 
code d'erreur (10)
E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

So to really get out of this using sudo it's necessary to use dpkg 
directly to remove apt-listbugs and associated ruby packages:

sudo dpkg -r apt-listbugs libgettext-ruby1.8 liblocale-ruby1.8 ruby-locale


Then aptitude and apt-get are usable again.




Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Tue, 24 Apr 2012 22:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Tue, 24 Apr 2012 22:30:06 GMT) Full text and rfc822 format available.

Message #77 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: "tv.debian@googlemail.com" <tv.debian@googlemail.com>, 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 25 Apr 2012 00:28:31 +0200
[Message part 1 (text/plain, inline)]
On Tue, 24 Apr 2012 21:12:45 +0200 tv.debian@googlemail.com wrote:

> Hi, I get this same error calling aptitude with "sudo", and more 
> surprisingly maybe when calling apt-get with sudo too. Following is the 
> output of the command, the locale is French but you'll get the idea:

Hello "tv.debian",
thanks for your followup.

However, it does not seem to me that you are experiencing bug #662983.
The error messages that you get seem to be completely different, hence
your problem really looks unrelated to bug #662983.

I have some questions for you, but here they would be very off-topic.

Anyway, a first glance at the error messages makes think that the
problem may be related to package ruby-locale.

Could you please check whether your problem is by chance the one
reported as bug #670320?

If it is, please follow up there, since that issue is not in
apt-listbugs, but in ruby-locale...

If not, could you please file a new bug report against apt-listbugs
(preferably using reportbug) and describe what you were trying to do
and what was the outcome?
Also please paste non-localized output (unless the issue is
localization dependent). You should be able to get non-localized output
from a command, by prefixing the command with "env LC_ALL=C " as in:

  $ env LC_ALL=C sudo aptitude install one-package another-package


 

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 25 Apr 2012 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tv.debian@googlemail.com" <tv.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 25 Apr 2012 08:18:03 GMT) Full text and rfc822 format available.

Message #82 received at 662983@bugs.debian.org (full text, mbox):

From: "tv.debian@googlemail.com" <tv.debian@googlemail.com>
To: 662983@bugs.debian.org
Subject: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 25 Apr 2012 10:15:15 +0200
>Francesco Poli<invernomuto@paranoici.org>  wrote:

>>On Tue, 24 Apr 2012 21:12:45 +0200 tv.debian@googlemail.com wrote:

>>  Hi, I get this same error calling aptitude with "sudo", and more
>>  surprisingly maybe when calling apt-get with sudo too. Following is the
>>  output of the command, the locale is French but you'll get the idea:

>Hello "tv.debian",
>thanks for your followup.

[...]

>Could you please check whether your problem is by chance the one
>reported as bug #670320?

It very much is, thank you for the pointer and sorry for the noise.

[...]
>Also please paste non-localized output (unless the issue is
>localization dependent). You should be able to get non-localized output
>from a command, by prefixing the command with "env LC_ALL=C " as in:

>   $ env LC_ALL=C sudo aptitude install one-package another-package

Yes, sorry, I know this but I was lazy since I had "fixed" it, I just
copied the old output rather than reproducing the bug with LC_ALL=C, shame
on me.

Thank you.





Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Wed, 25 Apr 2012 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 25 Apr 2012 09:09:05 GMT) Full text and rfc822 format available.

Message #87 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: "tv.debian@googlemail.com" <tv.debian@googlemail.com>, 662983@bugs.debian.org
Subject: Re: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Wed, 25 Apr 2012 11:07:45 +0200
[Message part 1 (text/plain, inline)]
On Wed, 25 Apr 2012 10:15:15 +0200 tv.debian@googlemail.com wrote:

> >Francesco Poli<invernomuto@paranoici.org>  wrote:
[...]
> >Could you please check whether your problem is by chance the one
> >reported as bug #670320?
> 
> It very much is, thank you for the pointer and sorry for the noise.

No problem, I am glad I could help you in finding the root of the
issue...

Bye!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Francesco Poli (wintermute) <invernomuto@paranoici.org> to control@bugs.debian.org. (Sat, 05 May 2012 17:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#662983; Package apt-listbugs. (Sun, 06 May 2012 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Sun, 06 May 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #94 received at 662983@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Nicolas DEGAND <nicolas@degand.net>, Bob Weber <bobrweber@gmail.com>, Vincent Lefevre <vincent@vinc17.net>
Cc: 662983@bugs.debian.org, 664999@bugs.debian.org
Subject: Re: Bug#664999: Bug#662983: When called by aptitude, apt-listbugs crash and precludes the package upgrade
Date: Sun, 6 May 2012 18:03:52 +0200
[Message part 1 (text/plain, inline)]
On Mon, 26 Mar 2012 00:28:24 +0200 Francesco Poli wrote:

> On Wed, 7 Mar 2012 22:31:18 +0100 Nicolas DEGAND wrote:
> 
> > Using the aptitude ncurses interface (invoking "aptitude") with my usual 
> > account. I type the root password when asked by aptitude. 
> [...]
> 
> Dear users,
> since a radical fix for this bug is taking longer than I was hoping,
> I would like to summarize how the issue may be worked around for the
> time being.
[...]

Dear users,
I have implemented a temporary work around for this bug.
It will be included in the next upload of apt-listbugs to Debian
unstable (hence I tagged this bug as "pending").

With this work around, apt-listbugs does no longer crash when
it cannot open /dev/tty: it now detects this situation, warns the
user, and switches to non-interactive failure mode.
An explanation has been included in the README.Debian file.

If you are curious about this modification, you can take a look
at it [1] on the public git repository.

[1] http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git;a=commitdiff;h=4e77151495e67094b17bf2b11ebc4d2337c691ea

Obviously, this work around is less than satisfactory...   :-(

However, a real fix for this issue requires a more radical change in
how apt-get, aptitude and other compatible package managers communicate
with the commands that are invoked through the Pre-Install-Pkgs hook.
For this reason, I filed a wishlist bug report against apt-listbugs [2]
and a wishlist bug report against apt [3], with the latter blocking the
former. If this feature is implemented in apt-get (and other package
managers), I will try to use it in apt-listbugs (so that it may work
without having to explicitly open /dev/tty).

[2] http://bugs.debian.org/671728
[3] http://bugs.debian.org/671726

I hope this may help.


P.S.: if any of you would like to be set as the submitter of
bug report #671728 [2], please don't hesitate to ask me.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>:
You have taken responsibility. (Sat, 19 May 2012 12:37:58 GMT) Full text and rfc822 format available.

Notification sent to Nicolas DEGAND <nicolas@degand.net>:
Bug acknowledged by developer. (Sat, 19 May 2012 12:37:59 GMT) Full text and rfc822 format available.

Message #99 received at 662983-close@bugs.debian.org (full text, mbox):

From: Francesco Poli (wintermute) <invernomuto@paranoici.org>
To: 662983-close@bugs.debian.org
Subject: Bug#662983: fixed in apt-listbugs 0.1.7
Date: Sat, 19 May 2012 12:37:07 +0000
Source: apt-listbugs
Source-Version: 0.1.7

We believe that the bug you reported is fixed in the latest version of
apt-listbugs, which is due to be installed in the Debian FTP archive:

apt-listbugs_0.1.7.dsc
  to main/a/apt-listbugs/apt-listbugs_0.1.7.dsc
apt-listbugs_0.1.7.tar.gz
  to main/a/apt-listbugs/apt-listbugs_0.1.7.tar.gz
apt-listbugs_0.1.7_all.deb
  to main/a/apt-listbugs/apt-listbugs_0.1.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Poli (wintermute) <invernomuto@paranoici.org> (supplier of updated apt-listbugs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 May 2012 23:28:44 +0200
Source: apt-listbugs
Binary: apt-listbugs
Architecture: source all
Version: 0.1.7
Distribution: unstable
Urgency: low
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Changed-By: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Description: 
 apt-listbugs - tool which lists critical bugs before each apt installation
Closes: 662865 662983 663143 664496
Changes: 
 apt-listbugs (0.1.7) unstable; urgency=low
 .
   * dropped one more dependency on a transitional package (libdpkg-ruby1.8
     replaced by ruby-debian)
   * bumped Standards-Version to 3.9.3: no changes needed
   * fixed "aptitude shows apt-listbugs has no homepage URL in the
     description" by adding a Homepage field to debian/control pointing
     to the alioth project page (Closes: #663143)
   * fixed "Possible weakness in preferences parsing.": aptcleanup is now
     able to handle pinning stanzas which do not reference any bug(s) in their
     explanation fields; such a pinning will be removed by the cron.daily
     job, when the package candidate version is no longer affected
     by any bug of high severity (Closes: #664496)
   * worked around "'W: Failed to invoke browser.' when run under sudo":
     when invoking a browser, do not switch to another user, not even
     when apt-listbugs is run under sudo (Closes: #662865)
   * worked around "When called by aptitude, apt-listbugs crash and precludes
     the package upgrade": default to non-interactive failure mode, if the
     command is "apt" and /dev/tty cannot be opened; explain why in
     README.Debian (Closes: #662983)
Checksums-Sha1: 
 32b9170548f8cb2e1f71ef1455881945c4accf60 1787 apt-listbugs_0.1.7.dsc
 700bec8358d3f17c3f2f06a418fc011ae87a0a6c 113882 apt-listbugs_0.1.7.tar.gz
 b614261ff852c4c83f2533fe90058cfaef5cc635 71176 apt-listbugs_0.1.7_all.deb
Checksums-Sha256: 
 69e476c5d0af1814755230b4a5416f347f208a940ddd218b3338ce4013b31009 1787 apt-listbugs_0.1.7.dsc
 e38de08ddc5606f0e78c9c5520f33ac79c3a5f652971145d6a22e30f91a3b7c5 113882 apt-listbugs_0.1.7.tar.gz
 1b445310321a51d935c50f57d4b82349bd07ea8fc1ada6c900738ef42c3aedb7 71176 apt-listbugs_0.1.7_all.deb
Files: 
 37b90bb14346a89a21ef60f4c492e7dc 1787 admin optional apt-listbugs_0.1.7.dsc
 9f980b6eb0ad2b303e9fc26c33912411 113882 admin optional apt-listbugs_0.1.7.tar.gz
 2536ddad2bf76195cbf5d39f6d83d49a 71176 admin optional apt-listbugs_0.1.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPt5LIAAoJEE+fbVUO1hIqnDkP/j0LnlR01G3rdFCubF8MteKK
1x8J9g0p+Tz9f27Fd+5TdRu2Fbttx0FJKZeQcgk7Nk9qe0C73qfx5iUyTJEvQ4j+
yACIUK1jk9BfHhmxSPllLWXd5Cqxq833yfVhF5xS5XifNZugOHgFtrYebDhEapaJ
8ueDLBRjIvfnEfXQRVrPNObQ1ts+NC1GInpvW654+xi5bd7gQ4hsov5ySwi29XKP
Vd5pPS03w6G9cZr1hYV9pLjkPojvPoS1g8eDNQ5GV9w+fLBNnJWBUELFPPHPAb7L
cjZDo4DBKlUKyJw/ThfZxr8f5BEJbVdC2pzK/MPHVdrBBO92v5iAuKcAwsGECgfk
OuHLTJu5dyPlVxCAUfAY+vVF6FXm4MjB5bFQ+QRfyBFYeFtRiPlMYKqAM5zRLRw0
Rsym0RjyabZca/kD3QEDndEua2nsRTMN90iTB2XG3JUc/n0rrZH7VcUpFT1m0LqX
aMNOqZssuoDkCpqAB3Pb9lizihLC1GjlIrJoJ40knidNGYHFyoTT1bKry8/WmPLb
tWv6Gacmv43j96cf4+pTtkJjVn2kjzPcYdQcfat/6YPeDHkZaEbgFKvQc+ymKwHj
k2VLE7VDs7ZKyF1bL8fdGZC6EcdnDZf1eHVvpxr8WgmxdC//9/XAmJqHnp7DH7Ka
JrpEjsRDUOX+V0ij1iLj
=PTyR
-----END PGP SIGNATURE-----





Reply sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>:
You have taken responsibility. (Sat, 19 May 2012 12:38:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sat, 19 May 2012 12:38:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:44:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:40:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.